## Method com.sap.dbtech.powertoys.Loader.dbLoader

### Use

To execute Loader commands in a Java application, you first connect the Java application to a database instance using the Loader. To do this, use the com.sap.dbtech.powertoys.Loader.dbLoader method.

The system automatically uses the newest Loader version that is available on the computer on which it is running. The Loader generally runs on the same computer as the Java application.

### Features

public static Loader dbLoader (String database_computer, String database_name)

throws

com.sap.dbtech.rte.comm.RTEException

Parameters

Name | Description
database_computer | Name of the computer on which the database instance is running
database_name | Database name

Exceptions

Class | Description
com.sap.dbtech.rte.comm.RTEException | See Troubleshooting (Loader)

To log on to the database instance, execute the Loader command USE USER; see Method com.sap.dbtech.powertoys.Loader.cm.

See also:

Example: Exporting a Table

Loader Java Classes